[INCLUDE]
MySQL_Shared

[CODE]
Public Function MySQL_IsConnectionAlive() As Boolean
  Dim xLong1 As Long
  
  If mysql_queryreal(MySQL_Handle, "SELECT 1") = 0& Then
    xLong1 = mysql_store_result(MySQL_Handle)
    If Not xLong1 = 0& Then
      Call mysql_free_result(xLong1)
      End If
    MySQL_IsConnectionAlive = True
    End If
  End Function
